import { EventEmitter } from '@angular/core';
import { HttpClient } from '@angular/common/http';
import * as i0 from "@angular/core";
export declare class SignalRService {
    private http;
    private hubConnection;
    messageReceived: EventEmitter<string>;
    host: string;
    constructor(http: HttpClient);
    initializeConnection(): void;
    startConnection(): Promise<void>;
    negotiate(): Promise<any>;
    joinGroup(groupNameID: string): Promise<any>;
    removeFromGroup(groupNameID: string): Promise<any>;
    sendMessageToGroup(groupNameID: string, message: string): Promise<any>;
    listenForMessageUnique(nameMessage: string): void;
    stopMessages(messageIdUnique: string): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<SignalRService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<SignalRService>;
}
