import { EventEmitter, OnDestroy, OnInit } from '@angular/core';
import { PoModalComponent } from '@po-ui/ng-components';
import { ButtonDocumentModel, DocumentModel } from '../../shared/model';
import { SignalRService } from '../../core/services';
import * as i0 from "@angular/core";
export declare class TotvsVisionOCRComponent implements OnInit, OnDestroy {
    private signalRService;
    qrCodeModal: PoModalComponent | undefined;
    listModal: PoModalComponent | undefined;
    listButtonsDocument: Array<ButtonDocumentModel>;
    host: string;
    groupIdUnique: string;
    sidebarBgColor: string;
    informacaoEnviada: EventEmitter<{
        menssagem: string;
        uniqueKey: number;
    }>;
    private sidebarBgColorAux;
    documentos: DocumentModel[];
    isCollapsed: boolean;
    myAngularxQrCode: string;
    selectedFiles: any;
    toggleSidebar(): void;
    constructor(signalRService: SignalRService);
    ngOnDestroy(): Promise<void>;
    ngOnInit(): void;
    private initializeSignalRConnection;
    openQrCodeModal(): void;
    openListModal(): void;
    triggerFileInput(index: number): void;
    onFileSelected(event: any, index: number): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<TotvsVisionOCRComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TotvsVisionOCRComponent, "totvs-vision-ocr", never, { "listButtonsDocument": { "alias": "listButtonsDocument"; "required": false; }; "host": { "alias": "host"; "required": false; }; "groupIdUnique": { "alias": "groupIdUnique"; "required": false; }; "sidebarBgColor": { "alias": "sidebarBgColor"; "required": false; }; }, { "informacaoEnviada": "informacaoEnviada"; }, never, never, true, never>;
}
